# GUISpaceCompound

class GUISpaceCompound<T : ForInventory, E>(invType: GUIType<T>, iconGenerator: (E) -> ItemStack, onClick: (GUIClickEvent<T>, E) -> Unit?) : AbstractGUISpaceCompound<T, E>
Content copied to clipboard

## Functions

addContent
Link copied to clipboard
fun addContent(element: E)
Content copied to clipboard
Adds a new element to the compound.
fun addContent(elements: Iterable<E>)
Content copied to clipboard
Adds new elements to the compound.
removeContent
Link copied to clipboard
fun removeContent(element: E)
Content copied to clipboard
Removes this element from the compound.
fun removeContent(elements: Iterable<E>)
Content copied to clipboard
Removes these elements from the compound.
setContent
Link copied to clipboard
fun setContent(element: E)
Content copied to clipboard
Set the content of the compound to this single element.
fun setContent(elements: Iterable<E>)
Content copied to clipboard
Set the content of the compound to these elements.
sortContentBy
Link copied to clipboard
fun <R : Comparable<R>> sortContentBy(reverse: Boolean = false, selector: (E) -> R?)
Content copied to clipboard
Defines the sort behaviour which gets applied to the content automatically.

## Properties

guiType
Link copied to clipboard
val guiType: GUIType<T>
Content copied to clipboard